Index: b/src/mw_debug.c
===================================================================
--- a/src/mw_debug.c
+++ b/src/mw_debug.c
@@ -92,7 +92,7 @@ void mw_debug_datav(const guchar *buf, g
   }
   pretty_print(str, buf, len);
 
-  g_debug(str->str);
+  g_debug("%s", str->str);
   g_string_free(str, TRUE);
 }
 
